// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.AspNet.Gui {
    
    
    public partial class AspNetFileSelector {
        
        private Gtk.VBox vbox2;
        
        private Gtk.HPaned hpaned1;
        
        private Gtk.ScrolledWindow GtkScrolledWindow;
        
        private Gtk.TreeView projectTree;
        
        private Gtk.ScrolledWindow GtkScrolledWindow1;
        
        private Gtk.TreeView fileList;
        
        private Gtk.HBox typeBox;
        
        private Gtk.Label label2;
        
        private Gtk.ComboBox fileTypeCombo;
        
        private Gtk.Button buttonCancel;
        
        private Gtk.Button buttonOk;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.AspNet.Gui.AspNetFileSelector
            this.Name = "MonoDevelop.AspNet.Gui.AspNetFileSelector";
            this.Title = MonoDevelop.Core.GettextCatalog.GetString("Select Project File...");
            this.WindowPosition = ((Gtk.WindowPosition)(4));
            this.HasSeparator = false;
            // Internal child MonoDevelop.AspNet.Gui.AspNetFileSelector.VBox
            Gtk.VBox w1 = this.VBox;
            w1.Name = "dialog1_VBox";
            w1.BorderWidth = ((uint)(2));
            // Container child dialog1_VBox.Gtk.Box+BoxChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 6;
            this.vbox2.BorderWidth = ((uint)(6));
            // Container child vbox2.Gtk.Box+BoxChild
            this.hpaned1 = new Gtk.HPaned();
            this.hpaned1.CanFocus = true;
            this.hpaned1.Name = "hpaned1";
            this.hpaned1.Position = 170;
            // Container child hpaned1.Gtk.Paned+PanedChild
            this.GtkScrolledWindow = new Gtk.ScrolledWindow();
            this.GtkScrolledWindow.Name = "GtkScrolledWindow";
            this.GtkScrolledWindow.ShadowType = ((Gtk.ShadowType)(1));
            // Container child GtkScrolledWindow.Gtk.Container+ContainerChild
            this.projectTree = new Gtk.TreeView();
            this.projectTree.CanFocus = true;
            this.projectTree.Name = "projectTree";
            this.GtkScrolledWindow.Add(this.projectTree);
            this.hpaned1.Add(this.GtkScrolledWindow);
            Gtk.Paned.PanedChild w3 = ((Gtk.Paned.PanedChild)(this.hpaned1[this.GtkScrolledWindow]));
            w3.Resize = false;
            // Container child hpaned1.Gtk.Paned+PanedChild
            this.GtkScrolledWindow1 = new Gtk.ScrolledWindow();
            this.GtkScrolledWindow1.Name = "GtkScrolledWindow1";
            this.GtkScrolledWindow1.ShadowType = ((Gtk.ShadowType)(1));
            // Container child GtkScrolledWindow1.Gtk.Container+ContainerChild
            this.fileList = new Gtk.TreeView();
            this.fileList.CanFocus = true;
            this.fileList.Name = "fileList";
            this.GtkScrolledWindow1.Add(this.fileList);
            this.hpaned1.Add(this.GtkScrolledWindow1);
            this.vbox2.Add(this.hpaned1);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(this.vbox2[this.hpaned1]));
            w6.Position = 0;
            // Container child vbox2.Gtk.Box+BoxChild
            this.typeBox = new Gtk.HBox();
            this.typeBox.Name = "typeBox";
            this.typeBox.Spacing = 6;
            // Container child typeBox.Gtk.Box+BoxChild
            this.label2 = new Gtk.Label();
            this.label2.Name = "label2";
            this.label2.LabelProp = MonoDevelop.Core.GettextCatalog.GetString("File _type:");
            this.label2.UseUnderline = true;
            this.typeBox.Add(this.label2);
            Gtk.Box.BoxChild w7 = ((Gtk.Box.BoxChild)(this.typeBox[this.label2]));
            w7.Position = 0;
            w7.Expand = false;
            w7.Fill = false;
            // Container child typeBox.Gtk.Box+BoxChild
            this.fileTypeCombo = Gtk.ComboBox.NewText();
            this.fileTypeCombo.Name = "fileTypeCombo";
            this.typeBox.Add(this.fileTypeCombo);
            Gtk.Box.BoxChild w8 = ((Gtk.Box.BoxChild)(this.typeBox[this.fileTypeCombo]));
            w8.Position = 1;
            w8.Expand = false;
            w8.Fill = false;
            this.vbox2.Add(this.typeBox);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.vbox2[this.typeBox]));
            w9.Position = 1;
            w9.Expand = false;
            w9.Fill = false;
            w1.Add(this.vbox2);
            Gtk.Box.BoxChild w10 = ((Gtk.Box.BoxChild)(w1[this.vbox2]));
            w10.Position = 0;
            // Internal child MonoDevelop.AspNet.Gui.AspNetFileSelector.ActionArea
            Gtk.HButtonBox w11 = this.ActionArea;
            w11.Name = "dialog1_ActionArea";
            w11.Spacing = 6;
            w11.BorderWidth = ((uint)(5));
            w11.LayoutStyle = ((Gtk.ButtonBoxStyle)(4));
            // Container child dialog1_ActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.buttonCancel = new Gtk.Button();
            this.buttonCancel.CanDefault = true;
            this.buttonCancel.CanFocus = true;
            this.buttonCancel.Name = "buttonCancel";
            this.buttonCancel.UseStock = true;
            this.buttonCancel.UseUnderline = true;
            this.buttonCancel.Label = "gtk-cancel";
            this.AddActionWidget(this.buttonCancel, -6);
            Gtk.ButtonBox.ButtonBoxChild w12 = ((Gtk.ButtonBox.ButtonBoxChild)(w11[this.buttonCancel]));
            w12.Expand = false;
            w12.Fill = false;
            // Container child dialog1_ActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.buttonOk = new Gtk.Button();
            this.buttonOk.CanDefault = true;
            this.buttonOk.CanFocus = true;
            this.buttonOk.Name = "buttonOk";
            this.buttonOk.UseStock = true;
            this.buttonOk.UseUnderline = true;
            this.buttonOk.Label = "gtk-ok";
            this.AddActionWidget(this.buttonOk, -5);
            Gtk.ButtonBox.ButtonBoxChild w13 = ((Gtk.ButtonBox.ButtonBoxChild)(w11[this.buttonOk]));
            w13.Position = 1;
            w13.Expand = false;
            w13.Fill = false;
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.DefaultWidth = 522;
            this.DefaultHeight = 416;
            this.label2.MnemonicWidget = this.fileTypeCombo;
            this.typeBox.Hide();
            this.Show();
        }
    }
}
